## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/compose-spec/compose-go
%global goipath         github.com/compose-spec/compose-go
Version:                1.13.5

%gometa


%global common_description %{expand:
Reference library for the parsing and loading Compose files.}

%global golicenses      NOTICE LICENSE dotenv/LICENSE
%global godocs          MAINTENANCE.md CONTRIBUTING.md README.md\\\
                        CODE_OF_CONDUCT.md scripts/validate/template/go.txt\\\
                        scripts/validate/template/bash.txt\\\
                        scripts/validate/template/dockerfile.txt\\\
                        scripts/validate/template/makefile.txt

Name:           %{goname}
Release:        %autorelease
Summary:        Reference library for the parsing and loading Compose files

License:        Apache-2.0 AND MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(github.com/distribution/distribution/v3/reference)
BuildRequires:  golang(github.com/docker/go-connections/nat)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/imdario/mergo)
BuildRequires:  golang(github.com/mattn/go-shellwords)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/xeipuuv/gojsonschema)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(gopkg.in/yaml.v3)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(gotest.tools/v3/assert)
BuildRequires:  golang(gotest.tools/v3/assert/cmp)
%endif

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%install
%gopkginstall
install -m 0755 -vp ./schema/compose-spec.json %{buildroot}/usr/share/gocode/src/github.com/compose-spec/compose-go/schema/

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
/usr/share/gocode/src/github.com/compose-spec/compose-go/schema/compose-spec.json

%changelog
* Wed Jul 12 2023 John Doe <packager@example.com> - 1.13.5-1
- Uncommitted changes
